<style>
    .m th{
        padding :8px;
        width:342px;
        background : #c5e0b3;
        font-size:10px
    }
    .m td{
        padding :8px;
        border-bottom : 1px solid #ddd;
        width:342px;
        font-size:10px
    }
    .he{
        margin: 70px;
    }
</style>

<br/><br/><br/><br/>
<table cellspacing="0" style="width: 100%; text-align: center; font-size: 14px">
    <tr>
        <td style="width: 100%;">
            <img style="width: 20%;" src="../../../images/bar/UIASS_bkack.png" }}" alt="Logo"> 
        </td>
    </tr>
</table>
<br><br><br><br/>
<h1 class="he">Rapport des Observations de Stage </h1>
<br/>


<br/><br/><br/><br/>

<table cellspacing="0" style="width: 100%; text-align: left; font-size: 12px">
    <tr>
        <td style="width: 100%;background: #c5e0b3; font-size: 14px ;padding:5px">INFORMATIONS ETUDIANT</td> 
    </tr>
    <tr style="width: 100%"> 
        <td> <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label style="font-size: 12px;font-weight: bold">Etudiant :</label>  {{inscription.admission.preinscription.etudiant.nom }} , {{inscription.admission.preinscription.etudiant.prenom }}</td>
    </tr>
    <tr style="width: 100%"> 
        <td> <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label style="font-size: 12px;font-weight: bold">Etablissement : </label> {{inscription.promotion.formation.etablissement.designation }}</td>
    </tr>
    <tr style="width: 100%"> 
        <td> <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label style="font-size: 12px;font-weight: bold">Formation : </label>{{inscription.promotion.formation.designation }}</td>
    </tr>    
</table>

<br/><br/><br/>

{%for patient in patients %}
    <table cellspacing="0" style="width: 100%; text-align: left; font-size: 12px">
        <tr>
            <td style="width: 100%;background: #c5e0b3; font-size: 14px ;padding:5px">INFORMATIONS PATIENT </td> 
        </tr>


        <tr style="width: 100%"> 
            <td> <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label style="font-size: 12px;font-weight: bold">Patient : </label>{{patient.designation}}</td>
        </tr>
        <tr style="width: 100%"> 
            <td> <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label style="font-size: 12px;font-weight: bold">Identifiant patient :</label> {{patient.ipp}}</td>
        </tr>




        <tr style="width: 100%"> 

            {% if patient.nom and patient.prenom  %}
                <td> <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label style="font-size: 12px;font-weight: bold">Titre :</label>{{patient.nom  ~ " " ~patient.prenom}}</td>

            {% else %}
                <td> <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label style="font-size: 12px;font-weight: bold">Titre :</label>{{patient.intitule}} </td>

            {% endif %}





        </tr>







    </table>
    <page pageset="old">
        <br/><br/><br/>






        <table cellspacing="0" style="width: 100%; text-align: left; font-size: 12px">

            <tr>
                <td style="width: 100%;background: #c5e0b3; font-size: 14px ;padding:5px">ENCADRANTS  </td> 
            </tr>




            {% if patient.encNiv1.nom is defined  and patient.encNiv1.prenom is defined  %}
                <tr style="width: 100%"> 
                    <td> <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label>
                            {{patient.encNiv1.nom  ~ " " ~patient.encNiv1.prenom}}
                        </label>
                    </td>
                </tr>

            {% endif %}


            {% if patient.encNiv2.nom is defined and patient.encNiv2.prenom is defined  %}
                <tr style="width: 100%"> 
                    <td> <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label>
                            {{patient.encNiv2.nom  ~ " " ~patient.encNiv2.prenom}}
                        </label>
                    </td>
                </tr>

            {% endif %}




            {% if patient.encHop1.nom is defined  and patient.encHop1.prenom is defined  %}
                <tr style="width: 100%"> 
                    <td> <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label>
                            {{patient.encHop1.nom  ~ " " ~patient.encHop1.prenom}}
                        </label>
                    </td>
                </tr>

            {% endif %}        


            {% if patient.encHop2.nom is defined  and patient.encHop2.prenom is defined %}
                <tr style="width: 100%"> 
                    <td> <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label>
                            {{patient.encHop2.nom  ~ " " ~ patient.encHop2.prenom}}
                        </label>
                    </td>
                </tr>

            {% endif %} 






            {% if patient.encRes1.nom is defined  and patient.encRes1.prenom  is defined %}
                <tr style="width: 100%"> 
                    <td> <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label>
                            {{patient.encRes1.nom  ~ " " ~patient.encRes1.prenom}}
                        </label>
                    </td>
                </tr>

            {% endif %} 


            {% if patient.encRes2.nom is defined and patient.encRes2.prenom is defined %}
                <tr style="width: 100%"> 
                    <td> <br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<label>
                            {{patient.encRes2.nom  ~ " " ~patient.encRes2.prenom}}
                        </label>
                    </td>
                </tr>

            {% endif %} 





        </table>
        <br/><br/><br/>

        {#  <table     class="m" style="width:100%;">
              <thead>
                  <tr>
                      <th>Objectif</th>
                      <th>Statut</th>
                  </tr>
              </thead>
              <tbody>
      
                  {% for ins in patient.inscription.insStg %}
                      {% for sta in ins.groupe.stage %}
                          {% for niv1 in sta.objNiv1 %}
                              {% for niv2 in niv1.objNiv2 %}
      
                                  {% for niv3 in niv2.objNiv3 %}
                                      <tr>
                                          <td>{{niv3.designation}}</td>
                                          <td>
      
                                              {% for pat1 in patient.objEtudiant %}
                                                 
                                                  {% if pat1.objNiveau3.id ==niv3.id %}
                                                      ok
                                                  {%endif%}
      
      
                                                  
                                              {% endfor %}    
                                          </td>
      
                                      </tr>
                                  {% endfor %}
                              {% endfor %}
                          {% endfor %}
                      {% endfor %}
                  {% endfor %}
      
      
              </tbody>
          </table>#}
        <table>
            <tr>
                <td style="width: 100%;background: #c5e0b3; font-size: 12px ;padding:5px">
                    OBJECTIF ATEINTS
                </td>


            </tr>
        </table>

        <table>
            <tr>
                <td style="width: 40%;background: #c5e0b3; font-size: 12px ;padding:5px">
                    INTITULE OBJECTIF
                </td>

                <td style="width: 20%;background: #c5e0b3; font-size: 12px ;padding:5px">
                    NOMBRE DE FOIS 
                </td>

                <td style="width: 20%;background: #c5e0b3; font-size: 12px ;padding:5px">
                    REFF DOSSIER
                </td>
                <td style="width: 20%;background: #c5e0b3; font-size: 12px ;padding:5px">
                    INTITULE DOSSIER
                </td>
            </tr>
            <tr>
               
                    {% for ins in patient.inscription.insStg %}
                        {% for sta in ins.groupe.stage %}
                            {% for niv1 in sta.objNiv1 %}
                                {% for niv2 in niv1.objNiv2 %}

                                    {% for niv3 in niv2.objNiv3 %}
                                <tr>

                                    <td>

                                        {% for pat1 in patient.objEtudiant %}

                                            {% if pat1.objNiveau3.id ==niv3.id %}
                                            <td>{{niv3.designation}}</td>
                                            <td></td>
                                            <td></td>
                                            <td></td>
                                        {%endif%}



                                    {% endfor %}    
                                    </td>

                                </tr>
                            {% endfor %}
                        {% endfor %}
                    {% endfor %}
                {% endfor %}
            {% endfor %}  
            

         </tr>
        </table>
        <table>
            <tr>
                <td style="width: 100%;background: #c5e0b3; font-size: 12px ;padding:5px">
                    OBJECTIF NON ATEINTS
                </td>


            </tr>
        </table>
        <table>
            <tr>
                <td style="width: 40%;background: #c5e0b3; font-size: 12px ;padding:5px">
                    INTITULE OBJECTIF
                </td>


            </tr>
            <td>
                 {% for ins in patient.inscription.insStg %}
                        {% for sta in ins.groupe.stage %}
                            {% for niv1 in sta.objNiv1 %}
                                {% for niv2 in niv1.objNiv2 %}

                                    {% for niv3 in niv2.objNiv3 %}
                                <tr>

                                    <td>

                                        {% for pat1 in patient.objEtudiant %}

                                            {% if pat1.objNiveau3.id !=niv3.id %}
                                            <td>{{niv3.designation}}</td>
                                           
                                        {%endif%}



                                    {% endfor %}    
                                    </td>

                                </tr>
                            {% endfor %}
                        {% endfor %}
                    {% endfor %}
                {% endfor %}
            {% endfor %}  
            </td>
        </table>

    </page>


    <page pageset="old">







        <br/><br/><br/>














        {% for rub in patient.categorie.rubrique%}




        <table cellspacing="0" style="width: 40%; text-align: left; color:#fff; ">
            <tr>
                <td style="width: 100%;background: #212529; font-size: 15px ;padding:5px ; text-transform: uppercase;">{{rub.abreviation}}</td> 
            </tr>
        </table>  

        <br/>

        {% for txt in patient.processus%}
            {% if txt.rubrique.id ==rub.id %}


                <div style="background-color:#c0c0c0 ;  color: black; margin-top: 10px ; padding: 5px ;display:block;" >

                    {% autoescape %}
                        {#{ txt.text|replace({ 'font-size': "font-sizee" ,'style':'style2'})|raw}} {# var won't be escaped #}
                        {{ txt.text|raw }}
                    {% endautoescape %}
                </div>

                <br/>

            {%endif%}
        {%endfor%} 









    {%endfor%} 





    </page><pagebreak>


    {%endfor%}   